permissions
Get Users In Role
List the users assigned to a role.
The authenticated user must have user-management permission in the tenant.
Path Parameters
- tenant_id (UUID): The UUID of the tenant
- role_id (UUID): The UUID of the role (list roles via GET /api/v1/permissions/tenants//roles)
Response
Returns a JSON list of users: [] (name is the user’s email).
Error Codes
- 403 Forbidden: Caller lacks user-management permission in the tenant
GET
Get Users In Role
Previous
Get User RolesList the roles assigned to a specific user.
The authenticated user must have user-management permission in the tenant.
## Path Parameters
- **tenant_id** (UUID): The UUID of the tenant
- **user_id** (UUID): The UUID of the user whose roles to list (find user ids via GET /api/v1/permissions/tenants/{tenant_id}/users)
## Response
Returns a JSON list of roles: [{"id", "name"}].
## Error Codes
- **403 Forbidden**: Caller lacks user-management permission in the tenant
Next
Get Users In Role